<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ResetPasswordMail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;

    public function __construct($user)
    {
        $this->user = $user;
    }

    public function build()
    {
        return $this->subject('Reset Password Akun Anda')
                    ->view('emails.reset-password')
                    ->with([
                        'resetLink' => url('/reset-password/' . $this->user->reset_password)
                    ]);
    }
}
