@extends('layouts.app')

@section('content')
    <div class="container p-4">
        <div class="card shadow-sm p-3">
            <h4 class="fw-bold" style="color: #063986;">Tambah Kamar</h4>

            <form action="{{ route('admin.storeroom') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="mb-3">
                    <label class="form-label">Nomor Kamar</label>
                    <input type="text" name="room_number" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label class="form-label">Tipe Kamar</label>
                    <input type="text" name="room_type" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label class="form-label">Harga</label>
                    <input type="number" name="harga" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label class="form-label">Status</label>
                    <select name="status" class="form-select" required>
                        <option value="tersedia">Tersedia</option>
                        <option value="terisi">Terisi</option>
                        <option value="maintenance">Maintenance</option>
                    </select>
                </div>

                <div class="mb-3">
                    <label class="form-label">Lantai</label>
                    <input type="number" name="lantai" class="form-control" required>
                </div>

                <div class="mb-3">
                    <label class="form-label">Fasilitas</label>
                    <textarea name="fasilitas" class="form-control" required></textarea>
                </div>

                <div class="mb-3">
                    <label class="form-label">Foto Kamar</label>
                    <input type="file" name="foto" class="form-control">
                </div>

                <div class="mb-3">
                    <label class="form-label">Deskripsi</label>
                    <textarea name="deskripsi" class="form-control" rows="4"></textarea>
                </div>

                <button type="submit" class="btn btn-primary">Simpan</button>
                <a href="{{ route('admin.rooms') }}" class="btn btn-secondary">Kembali</a>
            </form>
        </div>
    </div>
@endsection
