<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lupa Password - Kos Calista</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            background: linear-gradient(to bottom, #acccf4, #ffffff);
            font-family: 'Poppins', sans-serif;
        }

        .forgot-card {
            max-width: 460px;
            background: #ffffff;
            border-radius: 20px;
            padding: 30px;
            box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1);
        }

        .forgot-title {
            font-weight: bold;
            text-align: center;
            background: linear-gradient(to right, #007bff, #00bcd4);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            font-size: 32px;
            margin-bottom: 25px;
        }

        .btn-gradient {
            background: linear-gradient(to right, #007bff, #00bcd4);
            border: none;
            color: white;
            font-weight: 600;
            padding: 10px;
            border-radius: 50px;
            transition: 0.3s ease;
        }

        .btn-gradient:hover {
            background: linear-gradient(to bottom, #60a5fa, #ffffff);
            color: #000;
            transform: scale(1.03);
        }

        .form-label {
            font-weight: 500;
        }

        .form-control {
            border-radius: 10px;
        }

        .text-link {
            color: #00bcd4;
            text-decoration: none;
            font-weight: 500;
        }

        .text-link:hover {
            text-decoration: underline;
        }
    </style>
</head>
<body class="d-flex justify-content-center align-items-center vh-100">

<div class="forgot-card">
    <h2 class="forgot-title">Lupa Password</h2>

    @if (session('success'))
        <div class="alert alert-success alert-dismissible fade show" role="alert">
            {{ session('success') }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    @endif

    @if ($errors->any())
        <div class="alert alert-danger alert-dismissible fade show" role="alert">
            {{ $errors->first() }}
            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
        </div>
    @endif

    <form action="{{ route('password.sendResetForm') }}" method="POST">
        @csrf
        <div class="mb-3">
            <label class="form-label">Email</label>
            <input type="email" name="email" class="form-control" placeholder="Masukkan email Anda" required>
        </div>
        <button class="btn btn-gradient w-100">Kirim Link Reset</button>
    </form>

    <p class="text-center mt-3 mb-0">Sudah ingat password? <a href="{{ route('login') }}" class="text-link">Login</a></p>
</div>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
<script>
    // Alert otomatis hilang setelah 3 detik
    setTimeout(() => {
        const alert = document.querySelector('.alert');
        if (alert) {
            const bsAlert = new bootstrap.Alert(alert);
            bsAlert.close();
        }
    }, 3000);
</script>

</body>
</html>
