<!DOCTYPE html>
<html lang="id">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Galeri Kos Calista</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css" rel="stylesheet">
  <style>
    body {
      background: linear-gradient(to bottom, #acccf4, #ffffff);
      font-family: 'Poppins', sans-serif;
    }

    .section-title {
      font-size: 36px;
      font-weight: bold;
      text-align: center;
      margin-bottom: 40px;
      background: linear-gradient(to right, #007bff, #00bcd4);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      text-transform: uppercase;
      letter-spacing: 1px;
    }

    .image-container {
      position: relative;
      border-radius: 20px;
      overflow: hidden;
      border: 3px solid #007bff;
      transition: transform 0.3s ease, box-shadow 0.3s ease;
      box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1);
      animation: fadeIn 0.5s ease-in;
    }

    .image-container:hover {
      transform: scale(1.04);
      box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
    }

    .image-container img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      aspect-ratio: 4/3;
      transition: transform 0.4s ease;
    }

    .image-container:hover img {
      transform: scale(1.05);
    }

    .overlay {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0.6);
      color: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      text-align: center;
      opacity: 0;
      transition: opacity 0.4s ease;
    }

    .image-container:hover .overlay {
      opacity: 1;
    }

    .overlay h5 {
      font-size: 1.1rem;
      font-weight: 600;
      text-transform: uppercase;
      letter-spacing: 1px;
      margin: 0;
    }

    .btn-gradient {
      background: linear-gradient(to right, #007bff, #00bcd4);
      border: none;
      color: white;
      font-weight: 600;
      transition: background 0.3s ease, transform 0.2s ease;
      padding: 10px 20px;
      border-radius: 50px;
      display: inline-flex;
      align-items: center;
      box-shadow: 0 5px 15px rgba(0, 123, 255, 0.3);
    }

    .btn-gradient:hover {
      background: linear-gradient(to bottom, #60a5fa, #ffffff);
      transform: scale(1.05);
      color: #000;
    }

    @keyframes fadeIn {
      from { opacity: 0; transform: translateY(15px); }
      to { opacity: 1; transform: translateY(0); }
    }
  </style>
</head>
<body class="py-5">
  <div class="container">
    <h2 class="section-title">Galeri Kos Calista</h2>

    <div class="text-center mb-4">
      <a href="{{ route('users.home') }}" class="btn btn-gradient">
        <i class="bi bi-images me-2"></i> Kembali
      </a>
    </div>

    <div class="row g-4">
      @php
        $galeri = [
        ['img' => 'calista0.jpg', 'title' => 'Pintu Depan'],
          ['img' => 'calista1.jpg', 'title' => 'Fasilitas Kamar'],
          ['img' => 'calista2.jpg', 'title' => 'Kamar Tidur'],
          ['img' => 'calista3.jpg', 'title' => 'Tempat Setrika'],
          ['img' => 'calista4.jpg', 'title' => 'Tempat Magicom'],
          ['img' => 'calista5.jpg', 'title' => 'Mesin Cuci'],
          ['img' => 'calista6.jpg', 'title' => 'Dapur dan Kulkas'],
          ['img' => 'calista7.jpg', 'title' => 'Area Parkir'],
          ['img' => 'calista8.jpg', 'title' => 'Area Parkir'],
          ['img' => 'calista9.jpg', 'title' => 'Kamar Mandi'],
          ['img' => 'calista10.jpg', 'title' => 'Tempat Tidur Nyaman'],
          ['img' => 'calista11.jpg', 'title' => 'Fasilitas Kamar'],
          ['img' => 'calista13.jpg', 'title' => 'Menonton Bersama'],
          ['img' => 'calista14.jpg', 'title' => 'Kamar Berdua'],
          ['img' => 'calista15.jpg', 'title' => 'Fasilitas Kamar'],
          ['img' => 'calista16.jpg', 'title' => 'Fasilitas Kamar'],
          ['img' => 'calista17.jpg', 'title' => 'Interior'],
          ['img' => 'calista18.jpg', 'title' => 'Dapur Bersama'],
          ['img' => 'calista.jpg', 'title' => 'Pintu Masuk'],
        ];
      @endphp

      @foreach ($galeri as $item)
        <div class="col-6 col-md-4 col-lg-3">
          <div class="image-container">
            <img src="{{ asset('style/image/' . $item['img']) }}" alt="{{ $item['title'] }}">
            <div class="overlay">
              <h5>{{ $item['title'] }}</h5>
            </div>
          </div>
        </div>
      @endforeach
    </div>
  </div>
</body>
</html>
